=== modified file 'MonthView.qml'
--- MonthView.qml	2013-09-16 14:04:01 +0000
+++ MonthView.qml	2013-12-14 02:44:09 +0000
@@ -13,7 +13,7 @@
     PathViewBase{
         id: monthViewPath
 
-        property var startMonth: addMonth(currentMonth,-1);
+        property var startMonth: currentMonth;
 
         anchors.top:parent.top
 
@@ -53,7 +53,7 @@
                 case 0:
                     return monthViewPath.startMonth;
                 case -1:
-                    return monthViewPath.addMonth(monthViewPath.startMonth,2);
+                    return monthViewPath.addMonth(monthViewPath.startMonth,-1);
                 case 1:
                     return monthViewPath.addMonth(monthViewPath.startMonth,1);
                 }

=== modified file 'PathViewBase.qml'
--- PathViewBase.qml	2013-09-16 14:04:01 +0000
+++ PathViewBase.qml	2013-12-14 02:44:09 +0000
@@ -9,11 +9,12 @@
     signal nextItemHighlighted();
     signal previousItemHighlighted();
 
+    preferredHighlightBegin: 0.5
+    preferredHighlightEnd: 0.5
+
     path: Path {
-        startX: -(root.width/2); startY: root.height/2
-        PathLine { relativeX: root.width; relativeY: 0 }
-        PathLine { relativeX: root.width; relativeY: 0 }
-        PathLine { relativeX: root.width; relativeY: 0 }
+        startX: -(root.width); startY: root.height/2
+        PathLine { x: (root.width)*2  ; relativeY: 0;  }
     }
 
     // 0= current index, -1= previous index, 1 next index

=== modified file 'WeekView.qml'
--- WeekView.qml	2013-11-26 04:04:12 +0000
+++ WeekView.qml	2013-12-14 02:44:09 +0000
@@ -30,7 +30,7 @@
         id: weekViewPath
 
         property var visibleWeek: dayStart.weekStart(Qt.locale().firstDayOfWeek);
-        property var weekStart: weekViewPath.visibleWeek.addDays(-7)
+        property var weekStart: weekViewPath.visibleWeek
 
         width: parent.width
         height: root.height - viewHeader.height - weekHeader.height
@@ -70,7 +70,7 @@
                     return weekViewPath.weekStart;
                 case -1:
                     var weekStartDay= weekViewPath.weekStart.weekStart(Qt.locale().firstDayOfWeek);
-                    return weekStartDay.addDays(14);
+                    return weekStartDay.addDays(-7);
                 case 1:
                     var weekStartDay = weekViewPath.weekStart.weekStart(Qt.locale().firstDayOfWeek);
                     return weekStartDay.addDays(7);

=== modified file 'YearView.qml'
--- YearView.qml	2013-12-03 23:47:59 +0000
+++ YearView.qml	2013-12-14 02:44:09 +0000
@@ -26,7 +26,7 @@
 
     QtObject{
         id: intern
-        property var startYear: getDateFromYear(currentYear.getFullYear()-1);
+        property var startYear: currentYear;
     }
 
     delegate: GridView{
@@ -37,13 +37,10 @@
 
         function getYear() {
             switch( root.indexType(index)) {
-            //prevous year
             case 0:
                 return intern.startYear;
-            //next year
             case -1:
-                return getDateFromYear(intern.startYear.getFullYear() + 2);
-            //current year
+                return getDateFromYear(intern.startYear.getFullYear() - 1);
             case 1:
                 return getDateFromYear(intern.startYear.getFullYear() + 1);
             }

